<template>
    <div>
        <div id="resume" class="section">
            <div class="content-box p-3">
                <div class="row align-items-center">
                    <div class="col-12 col-sm-4 col-md-4 text-center">
                        <figure>
                            <img src="/img/ivana-kruljac.jpg" alt="Ivana Kruljac" />
                        </figure>
                        <div class="text-left">
                            <div class="pb-1"><span class="color1">Residence:</span><br/>Nuremberg, Germany</div>
                            <div><span class="color1">Contact:</span><br/>kruljac.ivana@gmail.com</div>
                        </div>
                    </div>
                    <div class="col-12 col-sm-8 col-md-8">
                        <div class="h1">Hi<span class="color1 font-weight-bold">_</span></div>
                        <div class="_about">
                            <div class="pt-3">I’m Ivana Kruljac, Full Stack Web Develeoper from Croatia, now based in Germany. My real power lies in Frontend. Without doubt, Frontend <span class="underline">is my playground</span>, my happy place, a place where my creativity is endless.</div>
                            <div class="pt-3">Nevertheless, for the last 2+ years I work mostly as a Full Stack on various types of applications based on node.js, API, NPM and mongoDB technologies. Of course, projects based on Wordpress are always ongoing and have special place in my heart.</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="skills" class="skills section">
            <div class="h3 p-2">Coding &amp; Design Skills</div>
            <div class="content-box p-3">
                <div class="h6 pb-1">Responsive (mobile) and adaptive design</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:98%;" aria-valuenow="98" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">Adobe Tools (Photoshop, Illustrator, XD), Figma » slicing/integration to<br/> HTML &amp; CSS &amp; JS (all Platforms)</small></div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:98%;" aria-valuenow="98" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">Wordpress (+ Multisite Network) » advanced & custom solutions</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:95%;" aria-valuenow="95" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">NodeJS <small>(frameworks: ExpressJS, KoaJS)</small> </div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:85%;" aria-valuenow="85" aria-valuemin="0" aria-valuemax="100"></div>
                </div>

                <div class="h6 pt-2 pb-1">Fronted on Laravel App (with Vue.js)</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:85%;" aria-valuenow="85" aria-valuemin="0" aria-valuemax="100"></div>
               </div>
                <div class="h6 pt-2 pb-1">Dev Tools: Git, Gulp, Webpack, CI/CD, Docker</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:80%;" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">SEO <small>(requirements, integration)</small></div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:90%;" aria-valuenow="90" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                                <div class="h6 pt-2 pb-1">CSS3 w/ SCSS</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:95%;" aria-valuenow="95" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">HTML <small>(templates: Haml, Nunjucks, Pug, EJS ...)</small></div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:95%;" aria-valuenow="95" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">PHP</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:70%;" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">MySQL</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:65%;" aria-valuenow="65" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">mongoDB</div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:65%;" aria-valuenow="65" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
                <div class="h6 pt-2 pb-1">VueJS <small>(framework: NuxtJS)</small></div>
                <div class="progress" style="height:2px;">
                    <div class="progress-bar" role="progressbar" style="width:55%;" aria-valuenow="55" aria-valuemin="0" aria-valuemax="100"></div>
                </div>
            </div>
        </div>
        <div id="experience" class="section">
            <div class="row">
                <div class="col-12 col-md-6">
                    <div class="h3 p-2">Experience</div>
                    <div class="content-box p-3">
                        <div class="color1">Feb 2015 - Present</div>
                        <div>Web Developer (full stack)</div>
                        <div><small>Marktplatz Mittelstand GmbH &amp; Co. KG</small></div>
                        <div>Nuremberg, Germany</div>
                        <div class="my-2"></div>
                        <div class="color1">Jun 2014 - Present</div>
                        <div>Full Stack Web Developer</div>
                        <div><small>Freelance</small></div>
                        <div>Worldwide</div>
                        <div class="my-2"></div>
                        <div class="color1">Jun 2013 - Jun 2014</div>
                        <div>Junior Web Developer (frontend)</div>
                        <div><small>Gauss Development</small></div>
                        <div>Osijek, Croatia</div>
                        <div class="my-2"></div>
                        <div class="color1">May 2012 - Jun 2013</div>
                        <div>Concept Manager</div>
                        <div><small>Gauss Development</small></div>
                        <div>Osijek, Croatia</div>
                    </div>
                </div>
                <div class="col-12 col-md-6">
                    <div class="h3 p-2">Education</div>
                    <div class="content-box p-3">
                        <div class="color1">Jan 2012</div>
                        <div>Master's Degree in Computer Science</div>
                        <div><small> Faculty of Electrical Engineering</small></div>
                        <div>Osijek, Croatia</div>
                        <div class="my-2"></div>
                        <div class="color1">Dec 2008</div>
                        <div>Bachelor's Degree in Computer Science</div>
                        <div><small> Faculty of Electrical Engineering</small></div>
                        <div>Osijek, Croatia</div>
                    </div>
                </div>
            </div>
        </div>
        <div class="text-center mt-4 pt-1">Made with <span class="color1" style="font-size:1.35rem">♥</span> on planet Earth</div>
    </div>
</template>

<style lang="scss">
body {
    background: whitesmoke;
    color: #000;
    height: auto;
    padding-top: 40px;
    font-size: 15px;
}
.indicator {
    background: #dddddd;
}
.section {
    padding-top: 0;
    max-width: 800px;
    ._about {
        font-size: 15px;
    }
    .content-box {
        background: #fff;
        border: 1px solid rgba(0, 0, 0, 0.1);
    }
}
</style>
